#define int32	long
#define uint32	ulong
#define int16	short
#define uint16	ushort

class LightZButton : public BControl
{
	public:					
							LightZButton
							(
								BRect 		 frame,
								const char 	*name,
								const char 	*label,
								BMessage 	*message,
								uint32 resizeMask  = B_FOLLOW_LEFT | B_FOLLOW_TOP,
								uint32 flags = B_WILL_DRAW
							); 
							~LightZButton();
			void			KeyDown(const char *data, int32 num);
			void			Draw(BRect updateRect);
			void 			DrawExtra(bool selected);
	virtual	void			MouseDown(BPoint where);
			void 			AttachedToWindow(void);
			void			SetPictureType(int32 type);
			void			SetMark(bool state);
			bool			IsMarked(void);
	
	protected:
			BMessage		*msg;
			BPicture		*norm;
			BPicture		*sele;
			BRect			Bound;
			bool			marked;
};

